- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoFitnessThenDiversityComparator< MOEOT > Class Template Reference

Functor allowing to compare two solutions according to their fitness values, then according to their diversity values. More...

`#include <moeoFitnessThenDiversityComparator.h>`

Inheritance diagram for moeoFitnessThenDiversityComparator< MOEOT >:

List of all members.

## Public Member Functions
const bool | operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
| Returns true if _moeo1 < _moeo2 according to their fitness values, then according to their diversity values.

## Detailed Description

### template<class MOEOT>
class moeoFitnessThenDiversityComparator< MOEOT >

Functor allowing to compare two solutions according to their fitness values, then according to their diversity values.

Definition at line 22 of file moeoFitnessThenDiversityComparator.h.

## Member Function Documentation

template<class MOEOT>

const bool moeoFitnessThenDiversityComparator< MOEOT >::operator() | ( | const MOEOT & | _moeo1,
|  | const MOEOT & | _moeo2 |
| ) |  |  | `[inline]`

Returns true if _moeo1 < _moeo2 according to their fitness values, then according to their diversity values.

Parameters:

  | _moeo1 | the first solution
  | _moeo2 | the second solution

Definition at line 31 of file moeoFitnessThenDiversityComparator.h.

The documentation for this class was generated from the following file:

- moeoFitnessThenDiversityComparator.h